Subtitle Edit Changelog

3.3.11 (6th December 2013)
* NEW:
   * Added "line height" to image export
   * Added Vietnamese language file - thx everytime
   * Added custom shortcut for vertical zoom out of waveform
* IMPROVED:
   * Updated Italian language file - thx SilverDrake
   * Updated German language file - thx Christoph
   * Updated Bulgarian language file - thx Iavor
   * Updated Brazilian Portuguese language file - thx Igor Rückert
   * Added .m4a file type to audio file types
   * Added Chinese Traditional to Tesseract OCR dictionary list
   * Added Polish spelling dictionary to download list
   * "Adjust display durations" now allows down to 75% - thx Dennis
   * "Restore auto-backup" window now displays number of bytes
   * Now remembers last 'Change casing' choice - thx anil
* FIXED:
   * Fixed audio waveform so it works better with VLC
   * Fixed sync of spectrogram
   * Fixed spectrogram so it works with FFmpeg
   * Dragging line in wave form in frames mode keeps duration - thx Adrian
   * Fixed Slovak spell check dictionary link
   * Status text after re-calculating display times fixed - thx Dennis
   * Do not leave empty file in temp folder after extracting audio
   * Export to image based formats: text in font tags now also get shadow 
   * Some fixes for format ".lrc" - thx sialivi


3.3.10 (22nd November 2013)
* NEW:
   * Added new subtitle formats
   * Added option to control border-marker-hit-size in audio waveform
   * Added option regarding spell check and single letters
   * Ctrl+Backspace in text box now deletes word to the left - thx Ivandrofly
   * Can now import FCP+image
* IMPROVED:
   * Updated Catalan language file - thx Juansa
   * Updated Dutch language file - thx Herman
   * Updated German language file - thx Siegwarth
   * Updated Portuguese language file - thx moob
   * OCR max. error% is now saved for blu-ray - thx Zoltán
   * More default values for ASS/SSA in options
   * Added split long lines to "Batch convert" - thx menes
   * Added support for multiple languages in TimedText / DFXP - thx Laszlo
   * Custom shortcuts can now use "Home" + "Back" (backspace) keys
   * Added shortcut for "Insert after" in text box (default is Alt+Insert)
   * Audio extraction can now be done with FFmpeg (see Options -> Settings)
   * Italics/{\an8} now works for "SoftNi" format - thx Adrian
   * Add audio waveform - mkv/mp4 will ask for track if more than 1 (VLC only)
* FIXED:
   * F11 (Set start time) sometimes kept duration - thx Rinus/Quetsbeek
   * Cavana 890 now works with Hebrew again - thx Yaniv
   * Crash on bad images when using OCR via Tesseract + Modi - thx Barry
   * Fix regarding italics in remove text for HI - thx cipry15
   * Now allows HTML tags in SAMI - thx estima
   * Now possible to choose en-GB spell check in OCR window - thx Paul
   * "Insert sub after current line" no longer inserts before current line
   * Batch convert now works with more CC formats
   * Import sub with matching time codes in OCR window 
     now works with other formats than SRT - thx osgZach
   * Fix for multi-line italics in Spruce/DVD Studio pro - thx Damian
   * Fixed bad link for Spanish spell check dictionary - thx Nils
   * Minor fix for TSB4 format - thx Leart
   * Audio mkv delays now might work when creating waveform
   * Add to "Names/noise list" in spell check now uses word in textbox 
     (and not the original word)
   * Alignment now works when exporting to sub/idx - thx adrianbergonzi
   * Changed VLC audio extraction parameters so it works better with SE
   * Fixed bug in "Find double words" - thx Matt
   * Command line convert does not prompt for PAC code page - thx Ethan


3.3.9 (19th October 2013)
* NEW:
   * Added new subtitle formats
   * Edit -> Modify selection
   * Shortcuts keys Ctrl+up/down now move contents in 
     "Multi-Replace" list view - thx Ivandrofly
* IMPROVED:
   * Updated Czech language file - thx Trottel
   * Updated Russian language file - thx Sergey
   * Updated Brazilian Portuguese langauge file - thx Igor
   * Updated German language file - thx Siegwarth
   * Updated Bulgarian language file - thx Iavor
   * Updated word lists - thx Siegwarth
   * Minor improvements for EBU open subtitling
   * Added "Allow overlap in waveform" as setting
   * Large "Image compare" OCR databases now loads much faster - thx Zoltan
   * Can now read Russian in Cavena 890
   * Waveform generation now uses current audio track (VLC only atm)
   * Open original subtitle now allows EBU/890/PAC formats - thx Andreas
   * "DCinema SMPTE" format is now valid (uses xsd) - thx Wolfgang
   * Improved italic fix - thx XhmikosR
   * NCI CAPT format can now also read version 1.2 files
   * Pageup/Pagedown can now be used in custom shortcuts
* FIXED:
   * Crash in export of images - thx Eros UK
   * Crash in OCR via "Image compare" with large image databases - thx Zoltan
   * Improved baseline in export of images - thx THXTEX
   * Fixed duration (in some players) in blu-ray sup export - thx THXTEX
   * Fixed bug in SSA color - thx Stuart
   * Fixed some letters in Cavena 890 format - thx Calle
   * Some fixes/improvements for "Unknown subtitle format importer"
   * Fixed possible crash in TMPlayer format
   * Read of YouTube Annotations time codes without "hour" - thx Joshu
   * Fixed crash in spell check - thx Ruud
   * Fixed Serbian letters in PAC format - thx Arran
   * Can now work with negative time codes in SubRip - thx Salad
   * Loading styles when importing ssa/ass from Matroska files - thx the hulk/Scott


3.3.8 (1st September 2013)
* NEW:
   * Added Hungarian language file - thx Zityi
   * Added a few new subtitle formats
   * Added "Tools -> Sort by -> Style" - thx Mike
   * When moving start/end in waveform and holding down the ALT key will now
     move border if the closest subtitle is less than 500 ms away - thx Leon
* IMPROVED:
   * Updated Spanish language file - thx pakitonaranjo
   * Updated Polish language file - thx Admas
   * Updated Brazilian Portuguese language file - thx Igor Rückert
   * Updated Italian language file - thx Marco
   * Updated Simplified Chinese language file - thx Leon
   * Updated German language file - thx Siegwarth
   * Added support for the Māori language in PAC - thx Mark
   * Allow EBU STL with 23/29 fps - thx Raul/Antonio
   * Minor improvements to WebVTT + added WebVTT with line# - thx Benoît
   * Loading unknown subtitles now might work via generic parser
   * Ctrl+V now allows import of up to 2000 lines (old limit was 500) - thx Leon
   * EBU: Added "Standard Display Code" ("Open subtitling" or "Level 1/2 teletext")
* FIXED:
   * Fix common errors: Fixed two bugs regarding Spanish "¿¡ !?" - thx Mike
   * Bug in getting result from plugin - thx Herman
   * Fix in "Unknown format 64" - thx Mark
   * Some fixes for SCC - thx Johan
   * Converting SSA <--> ASS now keeps most inline styles - thx Mike
   * Fix common errors: In "Remove empty lines" at top (in paragraph) the 
     before/after text was switched - thx Andreas
   * Fixed some language tags - thx Marco/Leon
   * Fixed problem in "Fix italic tags" - thx Mike
   * Fixed bugs in "Apply duration limits" - thx Mike
   * When typing "&" SE would show "_" in the list view - thx XhmikosR
   * Allow regex search in empty string - thx vmb
   * Fixed crash when loading sub from DVD - thx Cristiano
   * Export to images now uses font size correctly
   * Export to images can now render Arabic (use "Simple rendering")
   * Bug in reading end time code in Gpac ttxt format - thx noMnoMnoM
   * Better OCR of some yellow fonts - thx Albert


3.3.7 (3rd August 2013)
* NEW:
   * Added Spanish (Mexico) language file - thx paconaranjo
   * Added a few new subtitle formats
* IMPROVED:
   * Updated Portuguese language file - thx moob
   * Updated Basque language file - thx Xabier Aramendi
   * Updated Dutch language file - thx Herman
   * Updated Czech language file - thx Trottel
   * Updated Brazilian Portuguese translation - thx Igor Rückert
   * Updated German translation - thx Siegwarth
   * Moving subtitles in waveform will not allow overlap (unless 
     you hold down the shift key) - thx Leon
   * Added "regular expression" option to ocr_replace_list - thx paconaranjo
   * Waveform generator - pauses video before starting - thx fox
   * Export to Blu-ray settings now saved - thx Minh
   * Do not load plugins + subtitle formats when opening a sub - thx Orr
   * Fixed slow loading of regular expressions in "Multiple replace" - thx TeDDy
   * When opening an invalid Timed Text file an improved error will now be shown
   * A "*" will now be shown in the title bar if a subtitle has been changed
* FIXED:
   * Fixed crash/bugs in MicroDVD format - thx klm
   * Fixed annoying crash when loading a subtitle from "source view"
   * OCR - Change OCR fix language when changing spell check dictionary
   * Fixed Hebrew in PAC files - thx Yaniv
   * Fixed minor language detection bug regarding Korean - thx Hoyt
   * Fixed baseline horizontal alignment in Export to Blu-ray sup - thx THXTEX
   * Fixed multi line color tags when outputting DCinema - thx lillian
   * Fixed "line-breaks" in csv formats
   * Fixed dead spell check download links (no more OpenOffice links)
   * Some fixes for DCinema smtp - thx Andrew
   * Fixed bug regarding decoding &aring; to å - thx Jesper


3.3.6 (15th June 2013)
* NEW:
   * Export to DOST format (image based) - thx Andreas
* IMPROVED:
   * Updated Brazilian Portuguese translation - thx Igor Rückert
   * Waveform generator - pauses video before starting - thx fox
* FIXED:
   * "Select current subtitle while playing" now works again
   * SPUMUX + FCP image export now uses 8bpp png images
   * SUP export (from OCR window) no longer crashes - thx cvut.cz


3.3.5 (8th June 2013)
* NEW:
   * Added Chinese Traditional - thx BAWAN
   * Added some new subtitle formats
* IMPROVED:
   * Updated Basque language file - thx Xabier Aramendi
   * Updated Dutch language file - thx Quetsbeek
   * Support for color, size and font name in MicroDVD - thx SimlyTheBOSS
   * Start OCR if SRT file contains only image file names
   * Added Turkish letters to PAC import/export - thx aydngur
   * Updated NHunspell to 1.1.1.0 - thx tmaierhofer
   * Compare now show filename of current subtitle (if available)
   * Can now download dictionaries directly from spell check + OCR windows
* FIXED:
   * Blu-ray sup image decoding no longer skips color 0 - thx matidio
   * Better center alignment of second line in image export - thx George
   * Subtitle timing in preview is now much more precise - thx Betsy25
   * Split of subtitle now keep styles - thx Kyousuke
   * Some output changes for Rhozet Marmonic - thx Itai
   * Installer version can now list installed plugins
   * Fixed bug in format DCinema interop regarding LoadFont URI - thx Radoslav
   * Can now save " " (space) in multiple replace settings - thx dandomina
   * Italian language now active again (broken in 3.3.4)
   * Clear suggestions in OCR now actually works
   * OCR via image compare: Fixed correct index for guesses - thx Erik
   * Fixed a bug in SSA format - thx Dave
   * Fixed bug in "Fix uppercase I in lowercase words" - thx Alberto


3.3.4 (9th April 2013)
* NEW:
   * Added a few new subtitle formats
   * Serbian language file (Latin) - thx Misa Forger
* IMPROVED:
   * Updated Polish language file - thx admas
   * Updated Portuguese language file - thx moob
   * Updated Brazilian Portuguese translation - thx Igor Rückert
   * Updated Italian translation - thx Johnny B. Goode
   * DVD ripping slightly faster now
   * Improvements to change/fix casing regarding music symbols - thx DrJackson
   * "Remove text for HI" colors suspicious lines - thx Alice
* FIXED:
   * Fixed plugin loader so it also works with installer version - thx Quetsbeek
   * Fix bug in "Remove text for HI" - thx Alice
   * Improvements/fixes in "Batch convert" - thx menes
   * "Batch convert" would only adjust time if ms was non-zero - thx Arnaud
   * Fixed resize bug in "Set sync point" - thx gege
   * Join/Split (advanced) now keep original subtitle format/style - thx Frisbee


3.3.3 (19th March 2013)
* NEW:
   * Added a few new subtitle formats
   * Added "return-from-fullscreen" button to fullscreen player - thx fox/Leszek
   * Added Export to 3D Half-top/bottom - thx r0lZ
* IMPROVED:
   * Fix overlapping display times now smarter
   * Updated Basque language file - thx Xabier Aramendi
   * Updated French language file - thx JM GBT
   * Fix missing spaces now works better with italics - thx DrJackson
   * Added EBU alignment tags ({\an1}..{\an9})
   * Added "auto balance lines" to "Batch convert" - thx hacker
   * Added scan folder + some mkv support to "Batch convert"
   * Export to image based formats: bold tag support - thx moob
   * Updated French OCR replace list - thx Bruno
   * Fixed export to 3D Side-by-side to working 3D Half-side-by-side - thx r0lZ
   * If no "Find" has been made, F3 will show "Find" window - thx fox
* FIXED:
   * After closing "SSA/ASS style designer", first style was applied
     to all lines - thx vicgol/Xabier/Mike
   * "Set start time" (F11) now does not adjust the endtime - thx fox
   * Fix overlapping display times now checks minimum duration 
     (and not only optimal duration) - thx Frisbee
   * SSA/ASS - allow left margin up to 250 - thx vicgol
   * Allow key "space" in list view to toggle play/pause of video - thx Jakov
   * Allow key "space" in video fullscreen to toggle play/pause - thx fox
   * Fixed bug in "Fix uppercase ‘i’ inside lowercase word" - thx Kurt


3.3.2 (23 February 2013)
* NEW:
   * Added a few new subtitle formats
   * Italian language - thx Johnny B. Goode
   * Turkish language - thx Çağdaş
   * Can now export to Blu-ray sup/VobSub from OCR window
   * Can save to VobSub from DVDRip "Choose language" window
* IMPROVED:
   * OCR: MUCH better OCR of italics when using Tesseract
   * OCR: Added some detection of music symbols when using Tesseract
   * Waveform now performs better when many lines are selected
   * Waveform now has focused rectangle
   * Network mode more stable (auto-restart)
   * Updated Czech language file - thx Trottel
   * Updated German language file - thx Christoph Kitsche
   * Updated Portuguese language file - thx moob
   * Remembers size of controls in main window better - thx George/Leszek
   * SAMI format: html-decodes text + reads class attributes better
   * Batch convert can now also "Fix common errors" and more - thx Adem
   * Volume level is now remembered (no longer in settings) - thx fox
   * Some improvements to language detection - thx fox/mihai
   * Better import of SSA/ASS from Matroska files - thx Mike
* FIXED:
   * VobSub files created by Subtitle Edit now have better compatibility - thx George
   * Possible crash + bug in "Fix common errors" on selected lines - thx Dan
   * "Drag and drop" of large Blu-ray sup files - thx AT
   * Minor fix in "Fix common errors -> Fix invalid italic tags" - thx azu
   * List view height in "Set sync point" etc. with large font - thx fox
   * Can now load ASS files with "[V4 Styles]" in header - thx Derek
   * "Frame mode" no longer auto-changes duration/end-time - thx Gerard


3.3.1 (3rd February 2013)
* NEW:
   * Added a few new subtitle formats (now 150 formats!)
   * French language - thx JM GBT
   * German language - thx Christoph Kitsche
   * Greek language - thx Menes
* IMPROVED:
   * Improved reading of bad SRT files - thx Ile
   * Slow Timed Text 1.0 loading sped up
   * Slightly improved reading of italics in timed text draft - thx Jean
   * Export to png/xml now uses font styles from SSA/ASS
   * Export images - better cropping
   * Alignment tags now works for PAC format - thx Jussi
   * Allows chars/sec down to 4 due to e.g. Japanese - thx dandomina
* FIXED:
   * No longer removes last lines in "Merge short lines" - thx Pax
   * Some fixes for networking mode regarding insert/split - thx Dan
   * Fixed possible crash in list view regarding syntax coloring
   * Point sync no longer throws away SSA/ASS styling - thx Mike
   * Fixed bug in Dutch language file - thx jan bruyndonckx
   * Fixed bug in converting ASS to SSA
   * Some fixes for xsubtitle - thx Ed
   * File -> SSA/ASS properties - only update/add changed properties


3.3 (9th December 2012)
* NEW:
   * Added column commands to list view context menu - thx Seungki
   * Edit -> Reverse RTL start/end (fix punctuation)
   * Easy import of auto-backup files (File -> Restore auto-backup...)
   * Advanced Substation Alpha style viewer/creator (right click in list view)
   * Timed Text style view/creator (right click in list view)
   * File -> D-Cinema properties (for both smtpe and interop)
   * Can now display frames instead of milliseconds in main window
     (see Options -> Settings)
   * New setting in Options: "Max. chars/second"
   * New settings in Options regarding "Min. duration" + "Max. duration"
   * New settings in Options regarding syntax coloring
   * Many new subtitle formats (now 140+ formats supported!)
   * New settings in Options, center subtitle (in Subtitle Edit text boxes)
   * Tools -> Join subtitles (merge of multiple parts)
   * Tools -> Apply duration limits
   * Tools -> Sort -> Text - chars/sec
   * Main window list view context menu: Save selected lines as...
   * Will now display any errors found in SubRip/MicroDVD/SSA/ASS on load
   * File -> Statistics: Displays info about current subtitle
   * Click on status bar in footer will now show status history
   * "Fix common errors" item to fix Turkish ANSI letters to Unicode - thx Adem
   * Support for D-Cinema smpte - thx Lillian
   * Can now read NCI cap files - thx Ramon
   * Added fullscreen icon to video player (in main window only) - thx Leszek
   * Voikko spell check for Finnish - thx Harri + Ile
   * Added guess time codes to waveform context menu
   * Added Sync -> Adjust in percent - thx Ralf
   * Subtitle beamer - thx Ralf
   * Many new shortcuts
   * Added "Remove line if all uppercase" to "Remove text for HI" 
* IMPROVED:
   * Improved support for Advanced Substation Alpha (+ Substation Alpha)
   * Improved support for SAMI (now two different formats + font color support)
   * Added extra options for double click on list view line - thx Fredrik + TaeGyun
   * Added extra options for export as text
   * Added many new possible shortcut keys
   * Find and replace, better undo, faster + a little UI - thx Adem
   * Fix common errors -> Start with uppercase letter after colon/semicolon moved
     to separate fix item (no longer in "Start with uppercase after paragraph/period")
   * Can now read Ulead format with positions - thx Steve
   * Can now convert text subtitles in mkv/mks files via command line - thx the hulk
   * New command line conversion parameters: /list, /overwrite, /inputfolder
   * File -> Export - can now choose custom video resolution + supports color
   * Timed Text now allows for time codes in ticks - thx Allan
   * Upgraded Tesseract to version 3.02.02
   * Multiple replace: Changed RegEx to support back-references $1, $2 - thx Kurt
* FIXED:
   * Auto-translate now works for English to Portuguese - thx w.tambley
   * Shortcuts with numbers (0-9)
   * Reading of Blu-ray sup with errors in image - thx Simon
   * Fixed bug in parsing of Blu-ray sup files - thx e.patic82
   * Reading of SAMI files with time codes in quotes - thx Josh
   * Reading of Ulead files with position codes - thx Steve
   * Reading of time codes + adjust with SCC format - thx Marquise
   * Accents and tildes in Cheetah caption format - thx David
   * Now always uses output folder in command line convert - thx the hulk
   * Cropping of bottom images in File -> Export - thx moob
   * Possible crash in OcrFixEngine - thx Ile
   * Possible crash when importing VobSub from mkv files - thx Ile
   * Can now read SCC with ";" in time code - thx Thane
   * Crash when splitting an empty line - thx Pimmetje
   * Fixed "Timed Text" time codes with comma in seconds - thx Steffan
   * Fixed insert line via F9 or waveform in network mode - thx Martin
   * Fixed crash in "Compare" - thx SimplyTheBOSS
   * Fixed some bugs in "Remove interjections" - thx Pson
   * Fixed possible crash when clicking on "Open" file
   * Fixed frame rate calculated too high - thx Saulius
   * Fixed missing last line in a couple of subtitle formats
   * Minor fixes for "Change casing" + "Split long lines" - thx Marcio
   * Timed Text 1.0 uses frames instead of milliseconds (if relevant) - thx Stefan
   * Auto-backup now also saves original subtitle - thx Trottel


3.2.8 (3rd June 2012)
 * NEW:
   * Added "Right to left" in Edit menu - also with configurable shortcut
   * Added several new subtitle formats
   * Added "Delete line(s)" context menu to OCR - thx Mario
 * IMPROVED:
   * Updated Chinese language file - thx FeiXJ
   * Updated Brazilian Portuguese - thx Igor Rückert
   * Updated Polish language file - thx Adam Malich
   * Updated Romanian language file - thx DrJackson
   * Better reading of Cavena 890 format - thx Victor
   * Version number now includes the revision from SVN - thx XhmikosR
   * Unfocused selection in list view now has more visible color - thx Adem
   * Import of subs from mp4 files can now read closed captions - thx Zsolt
   * Some new parameters to command line converting - thx Mateo
 * FIXED:
   * Bug in line breaking - thx Renault
   * Bug (skip of subtitles) in DVD sub ripping - thx kowenant/cipry
   * Minor fix for Blu-ray sup reading
   * Correct time codes in EBU when reading 24 fps
   * HD DVD SUP lines are now re-numbered when importing for OCR
   * Bug in waveform regarding new selection/right-click-menu
   * Sets default encoding at start if no subtitle is loaded - thx TC
   * Can now set single line max length to large values - thx cmaj135
   * Removed flickering in subtitle list view when typing
   * Fixed italics in .890 writing - thx victor
   * Insert line before/after shortcuts - thx Omar
   * Minor bug with fixing "I" inside lowercase word - thx Alberto
   * New line in Encore format with tabs - thx Tim
   * Minor bug in Remove interjections - thx Pson
   * Crash when working with Advanced Sub Station Alpha styles


3.2.7 (14th April 2012)
 * NEW:
   * Added Finnish language - thx Veikko
   * Can now import binary Cheetah Caption subtitle format
 * IMPROVED:
   * VLC audio extraction now generates smaller wave file - thx utocne
     (transcoding parameters now in Settings.xml)
   * Added "Find text" to Point Sync + Set Sync Point - thx eMWu
   * Unbreak/auto-break buttons now also work on selected lines - thx XhmikosR
   * EBU STL now also accepts STL 2.4 (besides STL25/STL30) - Thx Axel
   * Added shortcut for split line at cursor position - Thx Daniela
   * Basque language file updated - thx Xabier Aramendi
 * FIXED:
   * Crash in "Fix common errors" - thx Dragan B
   * New-line character in Final Cut Pro Xml format - thx Axel Schmidt
   * Bug in "Import plain text" regarding "Auto split text"
   * Crash in AutoBr line
   * Crash/skip-subtitle-bug in VobSub reading - thx T.S.
   * Crash when reading VobSub files with errors - thx Sofiaguy
   * EBU STL format reading now skips user data - thx Peter
   * Fixed crash in MPlayer due to unknown frame rate


3.2.6 (29th March 2012)
 * NEW:
   * Added new subtitle formats - now 100 formats supported
 * IMPROVED:
   * Adjust mode improved a bit and also two new shortcuts - thx Deanna/Seamlik
   * Focus correct list view line after merging/deleting - thx Verteller
   * Minor improvements to OCR (missing "." with small fonts sometimes) - thx Bas
 * FIXED:
   * Fix overlapping time codes (regression from 3.2.4) - thx menes
   * PAC line numbers beyond 255 is now written correctly
   * First line in PAC files no longer messes up time-line/waveform - thx Peter
   * Second line alignment in export images in some cases - thx Juan
   * Fixed italics/bold in DVD Studio Pro format - thx Mikko


3.2.5 (18th March 2012)
 * NEW:
   * Added new subtitle formats (now 90+!)
 * IMPROVED:
   * Improvements to Fix common errors - thx Trottel
   * Optimized Fix Common OCR Errors
 * FIXED:
   * Crash in fix common errors (remove unneeded spaces) - thx menes
   * Merge selected lines with 2+ lines - thx Verteller
   * Prompt for save changes when opening new sub (if changed) - thx Chris
   * No save prompt if subtitle is not changed (but was) - thx XhmikosR
   * Context menu normal/italic in OCR window - thx cipry
   * Editing search type for "Multiple replace"
   * Wrong positioning of some texts (mostly at startup) - thx Trottel
   * Fix crash in image export (due to blank lines) - thx Mahdi
   * Line-breaking now works better with font tags - thx Trottel/XhmikosR
   * Moving subtitles in timeline (waveform/spectrogram) with mouse
     is now fast again


3.2.4 (11th March 2012)
 * NEW:
   * Arabic language file - thx Zakaria Farah Abu Wael
   * Export to VobSub format
   * Added new subtitle formats (now ~90!)
   * Added export to FAB image script
   * Added import of XSub from DivX files (use File -> Open)
 * IMPROVED:
   * Updated Basque language file - thx Xabier Aramendi
   * Export images alignment - thx Marcin
   * Export images can now use bold font
   * Many improvements to fix common errors - thx Majid
   * Settings -> Word lists -> "OCR fix list" is now sorted - thx Majid
   * Main window now lists all encodings
   * Current pos in time line (waveform) does not jump when using VLC/MPlayer
   * Subtitle text box now shows vertical scroll-bar when 3+ lines
   * Go to next/prev sub (or double click in time line) will center selected 
     line in listview - thx Sean/vmb/Leszek
   * Multiple replace can now move items up/down - thx Majid
   * Improved support for the SCC format
   * Optimized Fix Common Errors + startup
 * FIXED:
   * Export to Blu-ray sup timestamps
   * Crash in Visual Sync - thx XhmikosR
   * Incorrect timestamps in MicroDVD format after using
     "Set start time and offset the rest" + a few more buttons - thx whuras
   * Bug in replace when showing original subtitle - thx Krystian
   * Bug in auto break lines regarding italic tags - thx Majid
   * Crash when merging lines (original sub) in some cases - thx Krystian
   * Bug when saving framerate with "," instead of "." - thx yannick
   * Wrong time codes when appending frame based subs - thx Klos
   * MPlayer works much better now, also on Linux. 
     (Use MPlayer2 for precise seeking)
   * Crash (memory leak) when exporting images from a VobSub - thx Pete
   * Bug in Fix common errors with uncheck fix quotes - thx jofafrazze
   * Bug in Import plain text when only non-English letters - thx Jasper
   * Now detects encoding when opening son files - thx Jørgen


3.2.3 (13th January 2012)
 * NEW:
   * Added Brazilian Portuguese - thx XXXXXXXXXX
   * Added Italian language file - thx Maff
   * Added Portuguese (Portugal) language file - thx Ricardo Perdigão
   * Added Japanese language file - thx Nardog
   * Added Spanish language file - thx m2s
   * Support for subtitle AvidCaption format - thx Laszlo
   * Support for F4 subtitle formats - thx Fred
   * Export to Blu-ray sup format
 * IMPROVED:
   * Updated Tesseract to 3.01
     Now includes (some) italic detection + adds support for
     Arabic, Hebrew, Hindi and Thai
   * Undo improved so it also works for textbox + redo (Ctrl+Y)
   * Many new configurable shortcuts (e.g. for fullscreen video player)
   * OCR tweaked a bit + Blu-ray sup files are processed faster
   * TextBox with current subtitle now shows cursor position - thx Leszek
   * Subtitle PAC format much improved - thx Peter
   * Subtitle FCP format Xml improved - thx Ulrik
   * Subtitle D-Cinema format improved - thx Karam
   * Splitting of lines - Thx Trottel
   * Auto break lines - thx Majid
   * Some fixes for Fix common errors/Remove text for HI - thx Majid
   * Optimized Fix Common Errors
   * DirectShow can now also play audio-only files
 * FIXED:
   * Fixed crash when setting Options - thx karmazyn
   * Fixed crash in set color (or set font) - thx LEO33
   * Fixed crash/freeze when loading large subtitle files - thx Ulrik
   * Fixed bug when clicking in list view while running OCR - thx sialivi
   * Fixed de-selecting text in textbox via single click - thx XhmikosR
   * Fixed possible crash in spell check + German dictionary should work
   * Fixed missing save/load of a fix common errors setting - thx menes
   * Removed Microsoft translate as it's useless with new quotas
   * Fixed milliseconds in timed text - thx Calle
   * Names with spaces now works in spell check - thx DrJackson
   * Do not use frame rate if it's zero (audio files) - thx dixie.fever
   * Fixed possible crash when saving xml files - thx Peter


3.2.2 (19th October 2011)
 * NEW:
   * Added German language file - thx JW 301
   * Added Greek language file - thx The Rabbit
   * Some basic support for WebVTT subtitle format
   * Some basic support for SCC subtitle format
 * IMPROVED:
   * Updated Basque language file - thx xabier aramendi
   * Improved drag-and-drop support in textbox - thx vmb
 * FIXED:
   * Possible crash when saving ebu files
   * Possible crash when fixing italics - thx StainlessS
   * Fixed bug when editing time codes - issue 46, thx mobo
   * Fixed memory leak in spell check - thx thx aMvEL
   * Fixed WinXP crash when OCR'ing Blu-ray/SON - thx edea
   * Can now actually use MPlayer2 on windows - thx rotulos1
   * Fixed a (rare) crash in change casing - fix names
   * Fixed a bug in Timed Text draft format - thx Thomas
   * Fix for using Chinese traditional Tesseract OCR dictionary


3.2 (8th October 2011)
 * NEW:
   * Can now display spectrogram (and/or waveform)
   * Subtitle formats: D-Cinema, Cavena890, Timed Text 1.0, Captionate, 
     Flash xml, YouTube annotations and more
   * Most important shortcuts in Options -> Settings
   * Export bdn-xml/images + import/OCR bdn-xml/images
   * Added "Point sync via other subtitle" (thx ioannis)
   * Tools -> Make empty translation from current subtitle (thx vmb)
   * Tools -> Show original text in audio/video previews (thx vmb)
   * Command line conversion between subtitle formats
     (Example: subtitleedit /convert *.srt MicroDVD - thx Carl)
   * Subtitle preview font size (below video player) is now available in 
     Options -> Settings
   * Edit -> Select all
   * List view context menu: Copy as text to clipboard 
     (you can also use Ctrl+C / Ctrl+V)
   * Text box context menu -> Split line at cursor position (thx DrJackson)
   * Import + OCR of Blu-ray sup files inside Matroska files
   * Now remembers undocked controls pos/size
   * New customizable shortcut for Adjust mode: 
     Set current subtitle end time 
     at video pos, keep duration, and go to next sub (Shift+End, thx Bavo)
   * Can now import subtitles from mp4/mv4 files
 * IMPROVED:
   * OCR unknown words highlighting now works better (thx sialivi)
   * OCR image compare UI improved with "Edit last char" and much more 
     (thx Zoltan)
   * OCR image compare: Compare more effective + word breaking improved
   * Merge short lines can now also merge lines ending with ".", "?", 
     or "!" (optional)
   * Can now read Adobe Encore files starting with line numbers (thx Pier)
   * Advanced Sub Station Alpha (and SSA) now keeps original styles 
     (thx Rebecca)
   * Improved Remove text for HI (thx sialivi/aMvEL)
   * Undo now also works for original subtitle (thx Trottel)
 * FIXED:
   * Adjust all times did not work for MicroDVD (thx Wolf)
   * Fixed a bug in VobSub parser which could cause scrambled images
   * Fixed a bug in VobSub parser so it no longer ignores custom 
     background color
   * Fixed too much cropping for VobSub pictures
   * Now removes empty Unicode white spaces from Google translate
   * Crash when entering invalid text in source view (thx Frédéric)
   * Fixed a few bugs in DVD Architect format + added another two 
     new variants (thx Jacob)
   * Fixed incorrect line-break in Microsoft Translate in last part of 
     sub (thx Jacob)
   * Fixed incorrect undo when working with waveform (thx Trottel/vmb)


3.1 (3rd March 2011)
 * NEW:
   * Collaboration via the internet ("Networking", also has chat)
   * Auto-backup (never, every minute, every 5th minute or every 15th minute - thx swedelandster)
   * Video player/controls/wave form can now be un-docked (e.g. for people with multiple monitors)
   * Spell check via Word (Options -> Settings:General -> Spell checker)
   * Edit original subtitle
     (Options -> Settings:General:Allow edit of original subtitle - thx Luis for testing)
   * Wave form control can adjust play rate (slow, normal, fast and very fast - VLC player only)
   * Ability to remember the last selected line when re-opening subtitles (thx Frederic)
   * Now remembers video file and original subtitle (thx Luis)
   * Support for the subtitle "QuickTime text" format (two variations) + Scenarist + Adobe Encore
   * Added "Chars/sec" info to textbox in main window (thx Kerensky)
   * Options to choose font color and background color (for list view/text-boxes)
   * Can now import VobSub subtitles embedded in Matroska (.mkv) files
     (thx mosu for mkv info + thx hawk for testing)
   * Wave form position can be locked at center via new "Center" button (thx Krystian)
   * Can insert (a whole) subtitle after a line in the list view via context menu
   * Auto-suggest line splitting with button while typing (thx DrJackson)
   * Auto-wrap text while typing (option, thx swedelandster)
   * Video menu will now have a "Choose audio track" if more than one audio track exists
     (only when using VLC as video player)
   * Bulgarian translation (thx Ivo Ivanov)
 * IMPROVED:
   * Main window: Video player will now automatically move up beside subtitle if waveform is
     displayed + some resizing of controls allowed via splitters
   * Context menu for subtitle textbox now has italic, bold, underline, font name, and color
   * Updated NHunspell (spell check component) to latest version (0.9.6)
   * Synchronization Show earlier/later changed a bit, also added a shortcut (Ctrl+Shift+A)
   * Added a few buttons to "Multiple replace" which is now re-sizable (thx sialivi)
   * Moved video controls below subtitle preview (which now displays italic)
   * Fix common OCR errors improved (thx aMvEL, sialivi, Alberto)
   * Remove text for HI can now also remove interjections (thx DrJackson)
   * Start/display time changes are now undo-able (thx Luis)
   * Subtitle preview on video player is more precise now (thx hawk), uses the font from Settings
     and bold (thx Leszek)
   * "Point sync" can now also sync using only one sync point (thx tttoan)
   * VLC media player - mouse click now toggles play/pause
 * FIXED:
   * Wave form: Fixed imprecise (out of sync) wave form data for some sample rates
   * Fixed crash with wave form track bar (thx Christian)
   * A minor bug in initialization of waveform (thx Frederic)
   * Fixed several bugs regarding "large fonts" / higher dpi (thx Radbert)
   * Fixed memory leak in VobSub SubPicture class (thx Almogzt)
   * Fixed a bug that froze VLC after playing to end of video
   * Missing line break in Sony DVD Architect w line numbers (thx Rosa)
   * A minor bug in Visual Sync, if end scene was after video length (thx tsieberg)
   * OCR Fix Engine: Lines after "..." will no longer be changed to start with uppercase
   * Fixed bug in reading of SSA files ("," was removed) - thx Péter
   * Fixed line breaking bug in MPL format - thx Przemek
   * Fixed shortcuts for adjust commands Ctrl+Space/Shift+Space/F9/F10


3.0 (18th November 2010)
 * NEW:
   * Wave form control with many sync/replay/creation commands
     (thx Kerensky for the feedback)
   * Translator mode (Edit -> Show original subtitle, thx DrJackson)
   * Added Microsoft translate
   * Option to remove blank lines when opening a subtitle (thx honeybunny)
   * Can now read subtitles in the binary EBU format (thx corbin dallas/Iban)
   * Can now read/write Sony DVD Architect subtitle format (thx Mark/Zedopipo)
   * Setting "Font name" is possible via right-click menu in list view
   * New cool installer (thx XhmikosR)
 * IMPROVED:
   * Layout changed - Translation helper + Create/adjust lines moved to main window
   * Ripping subtitles from DVD should now have correct time codes
     (thx JeanlDvd/DvdSubEdit + gioni666)
   * Ripping subtitles from DVD/VobSub files now has a an option to only OCR
     "forced subtitles" (thx Rolf)
   * Ripping subtitles from VobSub files now has an option to use time codes
     from idx file (now default)
   * Updated Tesseract 2.x to 3.0
   * Can now retrieve and install spell check dictionaries from the internet
     (thx DrJackson for the idea, Jaime Olivares for zip unpack code & Pierre for testing)
   * "Compare subtitle" color high-lighting is now more like other compare programs
   * Fix common errors - Fix alone lowercase "i" to "I" now works better close to
     HTML tags (thx chamallow)
   * Updated names list (thx chamallow)
   * "Google translate" window is now resizable (thx Kerensky)
   * Bold/italic/font tags now work better in SSA/ASS subtitles
   * Icons are now external in the "Icons" folder - you can change them easily yourself
     without re-compiling (thx 6205)
   * New toolbar icons from gnome-look.org with some customization (thx 6205)
 * FIXED:
   * Merge short lines now works with italic tags (thx honeybunny)
   * Importing subtitles from Matroska files will now correctly change the current
     encoding to UTF-8 (thx Jonathan)
   * Numerous fixes in "Remove text for hearing impaired"
     (thx sialivi, eMWu, honeybunny, aMvEL)
   * Tools -> Append subtitle without synchronizing (thx Les)
   * Bug in "Spell check -> Add to names/etc list" (thx dny238)
   * Crash in ""Auto balance selected lines" (thx Jonathan)
   * Crash in "Replace all"
   * Bug in "time control" (thx eMWu)
   * Resume spell check now works better (thx Kerensky)
   * Fixed occasional crash in Options (thx sialivi)
